/* $Workfile: OtxDataD.h $   $Revision: 8 $    $Modtime: 4/28/08 8:20p $  */
#ifndef OTX_DATA_DEF_H
#define OTX_DATA_DEF_H
/******************************************************************************

  @doc PublicHwApi OtxDataD

  Copyright (C) 1999 - 2008 Odin TeleSystems Inc., All Rights Reserved

  OTX Generic Hardware Driver API

  @module
  OtxDataD | Constants, Macros, and Types for the Data Manipulation Functions

  @contents2
  OtxDataD.h |

  @index enum type struct | OtxDataD

  @contents2
  OTX Serial Data Manipulation Device Macros, Constants, and Types |

  @head3 Enumerated Types  |

  @index enum | OtxDataD

  @head3 Struct Types |

  @index struct | OtxDataD

  @head3 Constants |

  @index const | OtxDataD

  @head3 Other Types |

  @index type | OtxDataD

******************************************************************************/

#ifdef __cplusplus
  extern "C" {
#endif


/******************************************************************************
  @enum
    Data Converter Event Codes
******************************************************************************/
enum OtxDataConverterEventCodesE {
  // None 

  OTX_DATA_CONVERTER_END_OF_EVENT_CODES
};

typedef enum OtxDataConverterEventCodesE OtxDataConverterEventCodesE;


/******************************************************************************
   @enum
     Format of the data transmitted on a Pipe
******************************************************************************/
enum OtxDataFormatE {
  OTX_DATA_FORMAT_UNKNOWN        = 0,   // @emem Unknown or uninitialized data format
  OTX_DATA_FORMAT_UINT8          = 1,   // @emem Unsigned integer 8 bits. Raw data. Use for example HDLC transmission
  OTX_DATA_FORMAT_UINT16         = 2,   // @emem Unsigned integer 16-bits. Raw Data, each sample occupying 2 time-slots
  OTX_DATA_FORMAT_COMPAND8_A_LAW = 3,   // @emem G.711 A-law (International) companded PCM data (8 bit samples)
  OTX_DATA_FORMAT_COMPAND8_U_LAW = 4    // @emem G.711 U-law (North American) companded PCM data (8 bit samples)
};


typedef enum OtxDataFormatE OtxDataFormatE;

#ifdef __cplusplus
  } // extern "C"
#endif


/******************************************************************************

  Copyright (C) Odin TeleSystems Inc., 1999 - 2008


  All rights reserved. No part of this computer program may be reproduced,
  stored in any retrieval system, or transmitted, in any form or by any
  means, electronic, mechanical, photocopying, recording, or otherwise,
  without the prior written permission of Odin TeleSystems Inc., or without
  a permission stipulated in the agreement/contract under which this computer
  program was supplied.

******************************************************************************/
#endif // OTX_DATA_DEF_H
